[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLScript.AutoCommit

Automatically commit every statement

## Declaration

Source position: sqldb.pp line 746

`published property TSQLScript.AutoCommit;`

## Description

AutoCommit can be set to True to commit every executed statement in the script. By default, this is set to false.

## See also

TSQLScript.Transaction |  | Transaction to use in the script